package com.dgtly.companyext.mapper;

import com.dgtly.companyext.domain.CompanyExamine;
import java.util.List;

/**
 * 商户审核Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface CompanyExamineMapper 
{
    /**
     * 查询商户审核
     * 
     * @param id 商户审核ID
     * @return 商户审核
     */
    public CompanyExamine selectCompanyExamineById(Long id);



    /**
     * 新增商户审核
     * 
     * @param companyExamine 商户审核
     * @return 结果
     */
    public int insertCompanyExamine(CompanyExamine companyExamine);

    /**
     * 修改商户审核
     * 
     * @param companyExamine 商户审核
     * @return 结果
     */
    public int updateCompanyExamine(CompanyExamine companyExamine);

    /**
     * 删除商户审核
     * 
     * @param id 商户审核ID
     * @return 结果
     */
    public int deleteCompanyExamineById(Long id);

    /**
     * 批量删除商户审核
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCompanyExamineByIds(String[] ids);
}
